> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/payin/submit-a-payin/egypt/qrcode.md).

# QRCode

### **Payin by QRCode**

<mark style="color:green;">`POST`</mark> `https://gateway-test.pagsmile.com/trade/pay`

This endpoint allows you to submit a payin by QRCode in Egypt.

#### Headers

| Name                                            | Type   | Description                                |
| ----------------------------------------------- | ------ | ------------------------------------------ |
| Content-Type<mark style="color:red;">\*</mark>  | string | application/json; chartset=UTF-8           |
| Authorization<mark style="color:red;">\*</mark> | string | Basic Base($app\_*id:$security\_*&#x6B;ey) |

#### Request Body

| Name                                              | Type   | Description                                                                                                                                               |
| ------------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| app\_id<mark style="color:red;">\*</mark>         | string | <p>created app's id at dashboard</p><p>- Max. 32 chars -</p>                                                                                              |
| method<mark style="color:red;">\*</mark>          | string | Fixed value: QRCode                                                                                                                                       |
| out\_trade\_no<mark style="color:red;">\*</mark>  | string | <p>ID given by the merchant in their system<br>- Max. 64 chars -</p>                                                                                      |
| notify\_url<mark style="color:red;">\*</mark>     | string | Where Pagsmile will send notification to                                                                                                                  |
| timestamp<mark style="color:red;">\*</mark>       | string | <p>yyyy-MM-dd HH:mm:ss<br>- Max. 19 chars -</p>                                                                                                           |
| subject<mark style="color:red;">\*</mark>         | string | <p>payment reason or item title</p><p>- Max. 128 chars -</p>                                                                                              |
| content                                           | string | <p>payment reason detail or item detail</p><p>- Max. 255 chars -</p>                                                                                      |
| order\_amount<mark style="color:red;">\*</mark>   | string | <p>The maximum limit is 60,000 EGP per day and 200,000 EGP per month.</p><p>The actual payment amount may also be subject to the user's wallet limit.</p> |
| order\_currency<mark style="color:red;">\*</mark> | string | Fixed value: EGP                                                                                                                                          |
| buyer\_id<mark style="color:red;">\*</mark>       | string | merchant user's id                                                                                                                                        |
| customer.phone<mark style="color:red;">\*</mark>  | string | User's phone                                                                                                                                              |

{% tabs %}
{% tab title="200 submit successfully" %}

```
{
        "code":"10000",
        "msg":"Success",
        "prepay_id":"b296YWw1c****-eeeB2c0c",
        "trade_no":"2026****4803",
        "out_trade_no":"out_no_11343***333",
        "web_url":"",
        "trade_status":"PROCESSING",
        "qr_code":"0002010102****16630494F6"
}
```

{% endtab %}

{% tab title="400 duplicate out\_trade\_no" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "duplicate-out_trade_no",
    "sub_msg": "out_trade_no is duplicate"
}
```

{% endtab %}
{% endtabs %}

### Example

```
curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
  "app_id": "162************38",
  "out_trade_no": "out_no_113***33",
  "order_currency": "EGP",
  "method": "QRCode",
  "order_amount": "123",
  "subject": "pagsmile test",
  "content": "pagsmile test",
  "timestamp": "2024-07-04 18:50:42",
  "notify_url": "http://demo.gemini-tiger.cn/callback/success",
  "buyer_id": "buyer123",
  "customer": {
    "phone": "20109****01"
  }
}'
```

{% hint style="info" %}
Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox, and **MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==** is authorization token associated with the test app id.
{% endhint %}

{% hint style="danger" %}
Please use your own **app\_id** and generate your own **authorization token** when testing.
{% endhint %}
